Skip to main content
`Ctrl`+`K`

# DMPlexTransformMapCoordinates

Calculate new coordinates for produced points

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformMapCoordinates(DMPlexTransform tr, DMPolytopeType pct, DMPolytopeType ct, PetscInt p, PetscInt r, PetscInt Nv, PetscInt dE, const PetscScalar in[], PetscScalar out[])

Not collective

## Input Parameters

- tr - The `DMPlexTransform`

- pct - The cell type of the parent, from whom the new cell is being produced

- ct - The type being produced

- p - The original point

- r - The replica number requested for the produced cell type

- Nv - Number of vertices in the closure of the parent cell

- dE - Spatial dimension

- in - array of size Nv*dE, holding coordinates of the vertices in the closure of the parent cell

## Output Parameter

- out - The coordinates of the new vertices

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransform`, `DMPolytopeType`, `DMPlexTransformApply()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/interface/plextransform.c

## Implementations

DMPlexTransformMapCoordinates_Cohesive() in src/dm/impls/plex/transform/impls/extrude/plextrcohesive.c
DMPlexTransformMapCoordinates_Extrude() in src/dm/impls/plex/transform/impls/extrude/plextrextrude.c
DMPlexTransformMapCoordinates_BL() in src/dm/impls/plex/transform/impls/refine/bl/plexrefbl.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages